f
s

Client (minimum requirements)

Here you can find the minimum requirements for using the client:

Flash Player 9.0 (or higher)
Internet Explorer 6+ or Mozilla Firefox 3+
CPU: 2000 MHz
Graphic card: 64 MB
2 GB main storage
Sound card
Desktop resolution 1024x768 Pixels

Note: We cannot guarantee that you can play via the client with Linux and MAC.

In case of problems please contact support with an exact description of the issue (if possible with a screenshot).

If you have any questions,
you can submit a ticket to the technical support team.

Payment issues

Account and game character

Community

Interface

Premium Services

Technical issues

Client (minimum requirements)

Items

Fights

Quests, events, professions

Other

Privacy Policy